Page MenuHomePhabricator

Perform databse setup checks
ClosedPublic

Authored by chris on Jul 28 2019, 3:50 PM.

Details

Summary

Add checks to make sure that a Simplex database source is configured and is reachable

Test Plan
>>> import simplex
>>> from simplex.application.config import setup_check
>>> _tmp = setup_check.SimplexDatabaseSetupCheck(simplex.SIMPLEX_ENV)
>>> _tmp.issues
[{'issue:': 'No Database Configuration Found', 'priority': 0, 'description': 'We were not able to find any valid configuration for a database source.', 'resolution': 'Please refer to Configuring Databases for details on how to properly set up and configure a Simplex database.'}]

Diff Detail

Repository
rSIM Simplex
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

chris requested review of this revision.Jul 28 2019, 3:50 PM
chris planned changes to this revision.
chris created this revision.
chris updated this revision to Diff 54.Aug 4 2019, 2:57 PM

fleshed out implementation

Harbormaster completed remote builds in B38: Diff 54.Aug 4 2019, 2:57 PM
chris retitled this revision from WIP to Perform databse setup checks.Aug 4 2019, 2:58 PM
chris edited the summary of this revision. (Show Details)
chris edited the test plan for this revision. (Show Details)
brooke added inline comments.Aug 9 2019, 9:58 PM
simplex/application/config/setup_check.py
3

So I think this is the part I need to understand thoroughly---
If I want to use a class in storage folder, I need to

  1. in storage, create __init__.py to import the class
  2. In simplex/__init__.py import storage folder as alias
  3. Anything under simplex, I will be able to import the alias and call the class?
41

Look at simplex_env trying to understand how this work. Need your help~~ Let us chat on Sunday.

brooke accepted this revision.Aug 11 2019, 1:43 PM
This revision is now accepted and ready to land.Aug 11 2019, 1:43 PM
This revision was automatically updated to reflect the committed changes.